## gpaste 3.36.3

=== meson_options.txt ===
option('bash-completion', type: 'boolean', value: true, description: 'install bash completion files')
option('dbus-services-dir', type: 'string', value: '', description: 'path to the dbus services dir')
option('introspection', type: 'boolean', value: true, description: 'build GIR data')
option('control-center-keybindings-dir', type: 'string', value: '', description: 'path to where gnome-control-center stores its keybindings')
option('gnome-shell', type: 'boolean', value: true, description: 'install the gnome-shell extension')
option('systemd', type: 'boolean', value: true, description: 'install the systemd unit')
option('systemd-user-unit-dir', type: 'string', value: '', description: 'path to where systemd stores its user units')
option('vapi', type: 'boolean', value: true, description: 'build vala bindings')
option('x-keybinder', type: 'boolean', value: true, description: 'build the x keybinder')
option('zsh-completion', type: 'boolean', value: true, description: 'install zsh completion files')

## gpaste 3.14

=== debian/changelog ===
gpaste (3.14-2) unstable; urgency=medium

  * Upstream patch fixing gnome-shell extension crashes.

 -- Jérémy Lal <kapouer@melix.org>  Sat, 07 Mar 2015 14:44:36 +0100

gpaste (3.14-1) unstable; urgency=medium

  * Imported Upstream version 3.14 (Closes: #764803).
  * Remove/unapply all patches, applied upstream
  * Update symbols

 -- Jérémy Lal <kapouer@melix.org>  Sat, 11 Oct 2014 12:18:43 +0200

gpaste (3.12.3.1-1) unstable; urgency=medium

  * Imported Upstream version 3.12.3.1
  * Standards-Version 3.9.6

 -- Jérémy Lal <kapouer@melix.org>  Thu, 09 Oct 2014 22:12:19 +0200

gpaste (3.12.3-2) unstable; urgency=medium

  * Provides/Conflicts with packages with soname 1.
    (Closes: #763367, #763366, #763362)

 -- Jérémy Lal <kapouer@melix.org>  Mon, 29 Sep 2014 21:55:26 +0200

gpaste (3.12.3-1) unstable; urgency=medium

  * Imported Upstream version 3.12.3
  * Patches:
    + Unapply missing_ldadd.patch, applied upstream
    + Fix missing dash in applet man page header
    + Extension add support for gnome-shell 3.14
  * Package gpaste-applet (Closes: #762521)
  * Bump soname to version 2.0, update symbols and
    packages names.

 -- Jérémy Lal <kapouer@melix.org>  Sat, 27 Sep 2014 15:39:51 +0200

gpaste (3.12.2-1) unstable; urgency=medium

  * Initial release (Closes: #647263)
    Thanks to Alin Andrei <webupd8@gmail.com>,
    Victor Seva <linuxmaniac@torreviejawireless.org>,
    Zang MingJie <zealot0630@gmail.com>,
    Leo Iannacone <l3on@ubuntu.com>.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 29 Jul 2014 14:12:23 +0200

=== debian/control ===
Source: gpaste
Section: gnome
Priority: optional
Maintainer: Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper (>= 9),
 cdbs (>= 0.4.93~),
 dh-autoreconf,
 appdata-tools,
 intltool,
 pkg-config,
 gnome-control-center-dev,
 autotools-dev,
 gobject-introspection (>= 1.40.0~),
 libgirepository1.0-dev (>= 1.40.0~),
 libgtk-3-dev,
 libxml2-dev,
 libxcb-keysyms1-dev,
 libxcb-xtest0-dev,
 libdbus-1-dev,
 libxtst-dev,
 libclutter-1.0-dev
Standards-Version: 3.9.6
Homepage: https://github.com/Keruspe/GPaste
Vcs-Git: git://anonscm.debian.org/collab-maint/gpaste.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gpaste.git

Package: gpaste
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends}
Description: Clipboard management system for GNOME
 GPaste manages clipboard history and allows easy access to it using
 keyboard shortcuts, gnome-shell extension, command-line tools, gir
 bindings.
 .
 This package contains the command-line tools, the D-Bus service, the
 GNOME Control Center key bindings, and desktop/appdata files.

Package: libgpaste2
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Provides: libgpaste1
Conflicts: libgpaste1
Description: Clipboard management system for GNOME - library
 GPaste manages clipboard history and allows easy access to it using
 keyboard shortcuts, gnome-shell extension, command-line tools, gir
 bindings.
 .
 This package contains the shared library used by gpaste.

Package: libgpaste2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libgpaste2 (= ${binary:Version}),
 gir1.2-gpaste-2.0 (= ${binary:Version}),
 pkg-config,
 libglib2.0-dev (>= 2.31.2)
Provides: libgpaste-dev
Conflicts: libgpaste-dev
Description: Clipboard management system for GNOME - development files
 GPaste manages clipboard history and allows easy access to it using
 keyboard shortcuts, gnome-shell extension, command-line tools, gir
 bindings.
 .
 This package contains headers and libraries for developing applications
 that use GPaste to manage the clipboard.

Package: gir1.2-gpaste-2.0
Section: introspection
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 ${gir:Depends}
Provides: gir1.2-gpaste-1.0
Conflicts: gir1.2-gpaste-1.0
Description: GObject introspection data for the libgpaste2 library
 GPaste manages clipboard history and allows easy access to it using
 keyboard shortcuts, gnome-shell extension, command-line tools, gir
 bindings.
 .
 This package contains introspection data for the libgpaste2 library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: gnome-shell-extensions-gpaste
Depends: ${misc:Depends},
 gnome-shell (>= 3.12),
 gpaste (>= ${source:Version}),
 gir1.2-gpaste-2.0 (>= ${source:Version})
Architecture: all
Description: GPaste extension for GNOME Shell
 GPaste manages clipboard history and allows easy access to it using
 keyboard shortcuts, gnome-shell extension, command-line tools, gir
 bindings.
 .
 This package provides the gnome-shell extension.
 .
 Please note that the extension must be manualy enabled, for example
 using gnome-tweak-tool.

Package: gpaste-applet
Depends: ${misc:Depends},
 ${shlibs:Depends},
 gpaste (>= ${source:Version}),
 gir1.2-gpaste-2.0 (>= ${source:Version})
Architecture: any
Description: GPaste applet for GNOME
 GPaste manages clipboard history and allows easy access to it using
 keyboard shortcuts, gnome-shell extension, command-line tools, gir
 bindings.
 .
 This package provides the GNOME applet.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/class/gnome.mk

DEB_DH_AUTORECONF_ARGS += ./autogen.sh
DEB_CONFIGURE_EXTRA_FLAGS += --enable-introspection --enable-appdata-validate --enable-applet

clean::
	rm -f $(DEB_SRCDIR)/po/Makefile.in.in $(DEB_SRCDIR)/m4/intltool.m4 $(DEB_SRCDIR)/config.log

## gpaste 3.16.2.1

=== debian/changelog ===
gpaste (3.16.2.1-1) unstable; urgency=medium

  * Imported Upstream version 3.16.2.1 (Closes: #789255)
  * gpaste-applet does not need a manpage - upstream dropped it
  * Build-Depends gtk >= 3.16
  * Depends gnome-shell >= 3.16
  * Major API changes, bump soname to 3 

 -- Jérémy Lal <kapouer@melix.org>  Fri, 19 Jun 2015 11:05:16 +0200

gpaste (3.14.4.1-2) unstable; urgency=medium

  * Build-Depends appstream-utils (Closes: #788360).

 -- Jérémy Lal <kapouer@melix.org>  Wed, 10 Jun 2015 19:51:57 +0200

gpaste (3.14.4.1-1) unstable; urgency=medium

  * Build libgpaste2-dbg package (Closes: #773945).

 -- Jérémy Lal <kapouer@melix.org>  Mon, 25 May 2015 19:59:42 +0200

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
  debhelper (>= 9),
  cdbs (>= 0.4.93~),
  dh-autoreconf,
- appdata-tools,
+ appstream-util,
  intltool,
  pkg-config,
  gnome-control-center-dev,
  autotools-dev,
  gobject-introspection (>= 1.40.0~),
  libgirepository1.0-dev (>= 1.40.0~),
- libgtk-3-dev,
+ libgtk-3-dev (>= 3.16),
  libxml2-dev,
  libxcb-keysyms1-dev,
  libxcb-xtest0-dev,
@@ -38,13 +38,13 @@
  This package contains the command-line tools, the D-Bus service, the
  GNOME Control Center key bindings, and desktop/appdata files.
 
-Package: libgpaste2
+Package: libgpaste3
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Provides: libgpaste1
-Conflicts: libgpaste1
+Provides: libgpaste2
+Conflicts: libgpaste2
 Description: Clipboard management system for GNOME - library
  GPaste manages clipboard history and allows easy access to it using
  keyboard shortcuts, gnome-shell extension, command-line tools, gir
@@ -52,16 +52,16 @@
  .
  This package contains the shared library used by gpaste.
 
-Package: libgpaste2-dev
+Package: libgpaste3-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
- libgpaste2 (= ${binary:Version}),
- gir1.2-gpaste-2.0 (= ${binary:Version}),
+ libgpaste3 (= ${binary:Version}),
+ gir1.2-gpaste-3.0 (= ${binary:Version}),
  pkg-config,
  libglib2.0-dev (>= 2.31.2)
-Provides: libgpaste-dev
-Conflicts: libgpaste-dev
+Provides: libgpaste2-dev
+Conflicts: libgpaste2-dev
 Description: Clipboard management system for GNOME - development files
  GPaste manages clipboard history and allows easy access to it using
  keyboard shortcuts, gnome-shell extension, command-line tools, gir
@@ -70,14 +70,27 @@
  This package contains headers and libraries for developing applications
  that use GPaste to manage the clipboard.
 
-Package: gir1.2-gpaste-2.0
+Package: libgpaste3-dbg
+Priority: extra
+Section: debug
+Architecture: any
+Depends: ${misc:Depends},
+ libgpaste3 (= ${binary:Version})
+Description: Clipboard management system for GNOME - debugging symbols
+ GPaste manages clipboard history and allows easy access to it using
+ keyboard shortcuts, gnome-shell extension, command-line tools, gir
+ bindings.
+ .
+ This package provides the debugging symbols for the library.
+
+Package: gir1.2-gpaste-3.0
 Section: introspection
 Architecture: any
 Depends: ${misc:Depends},
  ${shlibs:Depends},
  ${gir:Depends}
-Provides: gir1.2-gpaste-1.0
-Conflicts: gir1.2-gpaste-1.0
+Provides: gir1.2-gpaste-2.0
+Conflicts: gir1.2-gpaste-2.0
 Description: GObject introspection data for the libgpaste2 library
  GPaste manages clipboard history and allows easy access to it using
  keyboard shortcuts, gnome-shell extension, command-line tools, gir
@@ -90,9 +103,9 @@
 
 Package: gnome-shell-extensions-gpaste
 Depends: ${misc:Depends},
- gnome-shell (>= 3.12),
+ gnome-shell (>= 3.16),
  gpaste (>= ${source:Version}),
- gir1.2-gpaste-2.0 (>= ${source:Version})
+ gir1.2-gpaste-3.0 (>= ${source:Version})
 Architecture: all
 Description: GPaste extension for GNOME Shell
  GPaste manages clipboard history and allows easy access to it using
@@ -108,7 +121,7 @@
 Depends: ${misc:Depends},
  ${shlibs:Depends},
  gpaste (>= ${source:Version}),
- gir1.2-gpaste-2.0 (>= ${source:Version})
+ gir1.2-gpaste-3.0 (>= ${source:Version})
 Architecture: any
 Description: GPaste applet for GNOME
  GPaste manages clipboard history and allows easy access to it using

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/class/gnome.mk
 
+DEB_DH_STRIP_ARGS += --dbg-package=libgpaste2-dbg
 DEB_DH_AUTORECONF_ARGS += ./autogen.sh
 DEB_CONFIGURE_EXTRA_FLAGS += --enable-introspection --enable-appdata-validate --enable-applet

## gpaste 3.18.3

=== debian/changelog ===
gpaste (3.18.3-1) unstable; urgency=medium

  * Imported Upstream version 3.18.3
  * Update symbols

 -- Jérémy Lal <kapouer@melix.org>  Wed, 20 Jan 2016 23:46:00 +0100

gpaste (3.18.2-1) unstable; urgency=medium

  * Imported Upstream version 3.18.2

 -- Jérémy Lal <kapouer@melix.org>  Sun, 18 Oct 2015 22:51:40 +0200

gpaste (3.18.1.1-1) unstable; urgency=medium

  * Imported Upstream version 3.18.1.1 (Closes: #800678)
  * Soname bump to 4
  * Install gnome-shell search provider
  * Renamed gpaste to gpaste-client
  * Drop patch for gnome-shell 3.17.x compatibility

 -- Jérémy Lal <kapouer@melix.org>  Fri, 02 Oct 2015 14:38:14 +0200

gpaste (3.16.3-2) unstable; urgency=medium

  * Patch: allow more gnome-shell versions

 -- Jérémy Lal <kapouer@melix.org>  Tue, 08 Sep 2015 12:23:19 +0200

gpaste (3.16.3-1) unstable; urgency=medium

  * Imported Upstream version 3.16.3

 -- Jérémy Lal <kapouer@melix.org>  Tue, 08 Sep 2015 12:12:12 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,8 @@
  libxcb-xtest0-dev,
  libdbus-1-dev,
  libxtst-dev,
- libclutter-1.0-dev
+ libclutter-1.0-dev,
+ valac
 Standards-Version: 3.9.6
 Homepage: https://github.com/Keruspe/GPaste
 Vcs-Git: git://anonscm.debian.org/collab-maint/gpaste.git
@@ -38,13 +39,13 @@
  This package contains the command-line tools, the D-Bus service, the
  GNOME Control Center key bindings, and desktop/appdata files.
 
-Package: libgpaste3
+Package: libgpaste4
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Provides: libgpaste2
-Conflicts: libgpaste2
+Provides: libgpaste2, libgpaste3
+Conflicts: libgpaste2, libgpaste3
 Description: Clipboard management system for GNOME - library
  GPaste manages clipboard history and allows easy access to it using
  keyboard shortcuts, gnome-shell extension, command-line tools, gir
@@ -52,16 +53,16 @@
  .
  This package contains the shared library used by gpaste.
 
-Package: libgpaste3-dev
+Package: libgpaste4-dev
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
- libgpaste3 (= ${binary:Version}),
- gir1.2-gpaste-3.0 (= ${binary:Version}),
+ libgpaste4 (= ${binary:Version}),
+ gir1.2-gpaste-4.0 (= ${binary:Version}),
  pkg-config,
  libglib2.0-dev (>= 2.31.2)
-Provides: libgpaste2-dev
-Conflicts: libgpaste2-dev
+Provides: libgpaste2-dev, libgpaste3-dev
+Conflicts: libgpaste2-dev, libgpaste3-dev
 Description: Clipboard management system for GNOME - development files
  GPaste manages clipboard history and allows easy access to it using
  keyboard shortcuts, gnome-shell extension, command-line tools, gir
@@ -70,12 +71,12 @@
  This package contains headers and libraries for developing applications
  that use GPaste to manage the clipboard.
 
-Package: libgpaste3-dbg
+Package: libgpaste4-dbg
 Priority: extra
 Section: debug
 Architecture: any
 Depends: ${misc:Depends},
- libgpaste3 (= ${binary:Version})
+ libgpaste4 (= ${binary:Version})
 Description: Clipboard management system for GNOME - debugging symbols
  GPaste manages clipboard history and allows easy access to it using
  keyboard shortcuts, gnome-shell extension, command-line tools, gir
@@ -83,20 +84,20 @@
  .
  This package provides the debugging symbols for the library.
 
-Package: gir1.2-gpaste-3.0
+Package: gir1.2-gpaste-4.0
 Section: introspection
 Architecture: any
 Depends: ${misc:Depends},
  ${shlibs:Depends},
  ${gir:Depends}
-Provides: gir1.2-gpaste-2.0
-Conflicts: gir1.2-gpaste-2.0
-Description: GObject introspection data for the libgpaste2 library
+Provides: gir1.2-gpaste-2.0, gir1.2-gpaste-3.0
+Conflicts: gir1.2-gpaste-2.0, gir1.2-gpaste-3.0
+Description: GObject introspection data for the libgpaste4 library
  GPaste manages clipboard history and allows easy access to it using
  keyboard shortcuts, gnome-shell extension, command-line tools, gir
  bindings.
  .
- This package contains introspection data for the libgpaste2 library.
+ This package contains introspection data for the libgpaste4 library.
  .
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.
@@ -105,7 +106,7 @@
 Depends: ${misc:Depends},
  gnome-shell (>= 3.16),
  gpaste (>= ${source:Version}),
- gir1.2-gpaste-3.0 (>= ${source:Version})
+ gir1.2-gpaste-4.0 (>= ${source:Version})
 Architecture: all
 Description: GPaste extension for GNOME Shell
  GPaste manages clipboard history and allows easy access to it using
@@ -121,7 +122,7 @@
 Depends: ${misc:Depends},
  ${shlibs:Depends},
  gpaste (>= ${source:Version}),
- gir1.2-gpaste-3.0 (>= ${source:Version})
+ gir1.2-gpaste-4.0 (>= ${source:Version})
 Architecture: any
 Description: GPaste applet for GNOME
  GPaste manages clipboard history and allows easy access to it using

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/class/gnome.mk

DEB_DH_STRIP_ARGS += --dbg-package=libgpaste4-dbg
DEB_DH_AUTORECONF_ARGS += ./autogen.sh
DEB_CONFIGURE_EXTRA_FLAGS += --enable-introspection --enable-appstream-util --enable-applet --enable-vala=no


clean::
	rm -f $(DEB_SRCDIR)/po/Makefile.in.in $(DEB_SRCDIR)/m4/intltool.m4 $(DEB_SRCDIR)/config.log

## gpaste 3.18.6

=== debian/changelog ===
gpaste (3.18.6-0ubuntu1) xenial; urgency=medium

  * New upstream release (LP: #1588104)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 27 Jun 2017 18:32:07 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gpaste
 Section: gnome
 Priority: optional
-Maintainer: Jérémy Lal <kapouer@melix.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jérémy Lal <kapouer@melix.org>
 Build-Depends:
  debhelper (>= 9),
  cdbs (>= 0.4.93~),

## gpaste 3.20.4

=== debian/changelog ===
gpaste (3.20.4-1) unstable; urgency=medium

  * Imported Upstream version 3.20.4

 -- Jérémy Lal <kapouer@melix.org>  Mon, 18 Jul 2016 21:11:35 +0200

gpaste (3.20.3-1) unstable; urgency=medium

  * Imported Upstream version 3.20.3
  * Remove applied patches
  * libgpaste6 should be in Section libs. Closes: #825356.
  * Standards-Version 3.9.8

 -- Jérémy Lal <kapouer@melix.org>  Fri, 17 Jun 2016 09:05:15 +0200

gpaste (3.20-2) unstable; urgency=medium

  * Install systemd user units (Closes: #822314)
  * Build-Depends systemd for systemduserunitdir variable

 -- Jérémy Lal <kapouer@melix.org>  Sun, 24 Apr 2016 01:47:41 +0200

gpaste (3.20-1) unstable; urgency=medium

  * Imported Upstream version 3.20
  * License switch from GPL-3 to BSD-2-clause
  * Build-Depends gtk 3.20, vala 0.32, gir 1.48
  * Build-Depends libappstream-glib-dev
  * Secure Vcs url
  * Standards-Version 3.9.7
  * Remove -dbg package
  * Library version bump from 4 to 6
  * Import upstream commits from 3.20 branch

 -- Jérémy Lal <kapouer@melix.org>  Sat, 02 Apr 2016 15:31:55 +0200

=== debian/control ===
Source: gpaste
Section: gnome
Priority: optional
Maintainer: Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper (>= 9),
 cdbs (>= 0.4.93~),
 dh-autoreconf,
 appstream-util,
 libappstream-glib-dev,
 intltool,
 pkg-config,
 gnome-control-center-dev,
 autotools-dev,
 gobject-introspection (>= 1.48.0~),
 libgirepository1.0-dev (>= 1.48.0~),
 libgtk-3-dev (>= 3.20),
 systemd,
 libxml2-dev,
 libxcb-keysyms1-dev,
 libxcb-xtest0-dev,
 libdbus-1-dev,
 libxtst-dev,
 libclutter-1.0-dev,
 valac (>= 0.32)
Standards-Version: 3.9.8
Homepage: https://github.com/Keruspe/GPaste
Vcs-Git: https://anonscm.debian.org/git/collab-maint/gpaste.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/gpaste.git

Package: gpaste
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends}
Description: Clipboard management system for GNOME
 GPaste manages clipboard history and allows easy access to it using
 keyboard shortcuts, gnome-shell extension, command-line tools, gir
 bindings.
 .
 This package contains the command-line tools, the D-Bus service, the
 GNOME Control Center key bindings, and desktop/appdata files.

Package: libgpaste6
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Provides: libgpaste2, libgpaste3
Conflicts: libgpaste2, libgpaste3
Description: Clipboard management system for GNOME - library
 GPaste manages clipboard history and allows easy access to it using
 keyboard shortcuts, gnome-shell extension, command-line tools, gir
 bindings.
 .
 This package contains the shared library used by gpaste.

Package: libgpaste6-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libgpaste6 (= ${binary:Version}),
 gir1.2-gpaste-6.0 (= ${binary:Version}),
 pkg-config,
 libglib2.0-dev (>= 2.31.2)
Provides: libgpaste2-dev, libgpaste3-dev, libgpaste4-dev
Conflicts: libgpaste2-dev, libgpaste3-dev, libgpaste4-dev
Description: Clipboard management system for GNOME - development files
 GPaste manages clipboard history and allows easy access to it using
 keyboard shortcuts, gnome-shell extension, command-line tools, gir
 bindings.
 .
 This package contains headers and libraries for developing applications
 that use GPaste to manage the clipboard.

Package: gir1.2-gpaste-6.0
Section: introspection
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 ${gir:Depends}
Provides: gir1.2-gpaste-2.0, gir1.2-gpaste-3.0, gir1.2-gpaste-4.0
Conflicts: gir1.2-gpaste-2.0, gir1.2-gpaste-3.0, gir1.2-gpaste-4.0
Description: GObject introspection data for the libgpaste6 library
 GPaste manages clipboard history and allows easy access to it using
 keyboard shortcuts, gnome-shell extension, command-line tools, gir
 bindings.
 .
 This package contains introspection data for the libgpaste6 library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: gnome-shell-extensions-gpaste
Depends: ${misc:Depends},
 gnome-shell (>= 3.20),
 gpaste (>= ${source:Version}),
 gir1.2-gpaste-6.0 (>= ${source:Version})
Architecture: all
Description: GPaste extension for GNOME Shell
 GPaste manages clipboard history and allows easy access to it using
 keyboard shortcuts, gnome-shell extension, command-line tools, gir
 bindings.
 .
 This package provides the gnome-shell extension.
 .
 Please note that the extension must be manualy enabled, for example
 using gnome-tweak-tool.

Package: gpaste-applet
Depends: ${misc:Depends},
 ${shlibs:Depends},
 gpaste (>= ${source:Version}),
 gir1.2-gpaste-6.0 (>= ${source:Version})
Architecture: any
Description: GPaste applet for GNOME
 GPaste manages clipboard history and allows easy access to it using
 keyboard shortcuts, gnome-shell extension, command-line tools, gir
 bindings.
 .
 This package provides the GNOME applet.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,6 @@
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/class/gnome.mk
 
-DEB_DH_STRIP_ARGS += --dbg-package=libgpaste4-dbg
 DEB_DH_AUTORECONF_ARGS += ./autogen.sh
 DEB_CONFIGURE_EXTRA_FLAGS += --enable-introspection --enable-appstream-util --enable-applet --enable-vala=no

## gpaste 3.22.0

=== debian/changelog ===
gpaste (3.22.0-1) unstable; urgency=medium

  * New upstream version 3.22.0
  * Harden build

 -- Jérémy Lal <kapouer@melix.org>  Sun, 09 Oct 2016 21:57:48 +0200

gpaste (3.21.91-1) unstable; urgency=medium

  * New upstream version 3.21.91

 -- Jérémy Lal <kapouer@melix.org>  Sat, 17 Sep 2016 16:03:37 +0200

gpaste (3.21.90-1) unstable; urgency=medium

  * New upstream version 3.21.90
  * Build-Depends libmutter-dev

 -- Jérémy Lal <kapouer@melix.org>  Sat, 10 Sep 2016 00:23:02 +0200

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
  libdbus-1-dev,
  libxtst-dev,
  libclutter-1.0-dev,
+ libmutter-dev,
  valac (>= 0.32)
 Standards-Version: 3.9.8
 Homepage: https://github.com/Keruspe/GPaste

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 include /usr/share/cdbs/1/rules/autoreconf.mk
 include /usr/share/cdbs/1/rules/debhelper.mk

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/gpaste-$1.tar.gz/ \
https://github.com/Keruspe/GPaste/tags .*/archive/v?([\d\.]+).tar.gz

## gpaste 3.22.2

=== debian/changelog ===
gpaste (3.22.2-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * debian/control: Build-depend on renamed libmutter-0-dev
  * Add adapt-to-mutter-324.patch:
    - git patch for GNOME 3.24 compatibility

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 19 Feb 2017 16:34:36 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gpaste
 Section: gnome
 Priority: optional
-Maintainer: Jérémy Lal <kapouer@melix.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jérémy Lal <kapouer@melix.org>
 Build-Depends:
  debhelper (>= 9),
  cdbs (>= 0.4.93~),
@@ -22,7 +23,7 @@
  libdbus-1-dev,
  libxtst-dev,
  libclutter-1.0-dev,
- libmutter-dev,
+ libmutter-0-dev,
  valac (>= 0.32)
 Standards-Version: 3.9.8
 Homepage: https://github.com/Keruspe/GPaste

## gpaste 3.24.2

=== debian/changelog ===
gpaste (3.24.2-0ubuntu2) artful; urgency=medium

  * Rebuild against libmutter-1-dev to fix NBS
    - debian/patches/ubuntu-newer-mutter.patch

 -- Stefan Bader <stefan.bader@canonical.com>  Tue, 05 Sep 2017 12:15:10 +0200

gpaste (3.24.2-0ubuntu1) artful; urgency=medium

  * New upstream release
  * Drop adapt-to-mutter-324.patch: Applied in new release
  * Drop gpaste applet, no longer provided in this source package
  * Build-depend on libgjs-dev
  * Bump required gnome-shell version for extension to 3.24

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 27 Jun 2017 07:19:20 -0400

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
  autotools-dev,
  gobject-introspection (>= 1.48.0~),
  libgirepository1.0-dev (>= 1.48.0~),
+ libgjs-dev (>= 1.48.0),
  libgtk-3-dev (>= 3.20),
  systemd,
  libxml2-dev,
@@ -23,7 +24,7 @@
  libdbus-1-dev,
  libxtst-dev,
  libclutter-1.0-dev,
- libmutter-0-dev,
+ libmutter-1-dev,
  valac (>= 0.32)
 Standards-Version: 3.9.8
 Homepage: https://github.com/Keruspe/GPaste
@@ -96,7 +97,7 @@
 
 Package: gnome-shell-extensions-gpaste
 Depends: ${misc:Depends},
- gnome-shell (>= 3.20),
+ gnome-shell (>= 3.24),
  gpaste (>= ${source:Version}),
  gir1.2-gpaste-6.0 (>= ${source:Version})
 Architecture: all
@@ -109,17 +110,3 @@
  .
  Please note that the extension must be manualy enabled, for example
  using gnome-tweak-tool.
-
-Package: gpaste-applet
-Depends: ${misc:Depends},
- ${shlibs:Depends},
- gpaste (>= ${source:Version}),
- gir1.2-gpaste-6.0 (>= ${source:Version})
-Architecture: any
-Description: GPaste applet for GNOME
- GPaste manages clipboard history and allows easy access to it using
- keyboard shortcuts, gnome-shell extension, command-line tools, gir
- bindings.
- .
- This package provides the GNOME applet.
-

## gpaste 3.28.0

=== debian/changelog ===
gpaste (3.28.0-2) unstable; urgency=medium

  * Upload to unstable:
    - glib 2.56 is available
    - appstream fixed by 0.7.7-2 

 -- Jérémy Lal <kapouer@melix.org>  Sat, 17 Mar 2018 21:50:39 +0100

gpaste (3.28.0-1) experimental; urgency=medium

  * New upstream version 3.28.0
  * Remove patch applied upstream
  * Depends glib2.0 >= 2.56.0
  * Build-Conflicts pkgconfig (<< 1.3), see #893079.

 -- Jérémy Lal <kapouer@melix.org>  Fri, 16 Mar 2018 09:50:37 +0100

gpaste (3.26.0-5) unstable; urgency=high

  * Patch and update deps for mutter-2 (Closes: #892833).

 -- Jérémy Lal <kapouer@melix.org>  Tue, 13 Mar 2018 15:19:50 +0100

gpaste (3.26.0-4) unstable; urgency=medium

  [ Matthias Klumpp ]
  * Fix metainfo install location (Closes: #882002)

 -- Jérémy Lal <kapouer@melix.org>  Fri, 17 Nov 2017 15:32:21 +0100

gpaste (3.26.0-3) unstable; urgency=medium

  * Drop systemd dependency, use --with-systemduserunitdir instead
    (Closes: #880418)

 -- Jérémy Lal <kapouer@melix.org>  Tue, 31 Oct 2017 12:39:55 +0100

gpaste (3.26.0-2) unstable; urgency=medium

  * Use dh --with gir, Closes: #880417

 -- Jérémy Lal <kapouer@melix.org>  Tue, 31 Oct 2017 12:17:18 +0100

gpaste (3.26.0-1) unstable; urgency=medium

  * New upstream version 3.26.0
  * pkgconf implements PKG_PREREQ as of version 1.3
  * Release to unstable (Closes: #880083)

 -- Jérémy Lal <kapouer@melix.org>  Sun, 29 Oct 2017 14:21:30 +0100

gpaste (3.24.2-1) experimental; urgency=medium

  [ Jeremy Bicha ]
  * New upstream version 3.24.2
  * Fix package naming
  * Drop gpaste applet, no longer provided in this source package
  * Bump required gnome-shell version for extension to 3.24
  * Build with mutter 3.25
  * Switch from cdbs to dh
  * Bump debhelper compat to 10 (Closes: #824655)
  * Update Vcs-Browser link

  [ Jérémy Lal ]
  * Upload to experimental (Closes: #874168)
  * Tighten dependency on pkg-config for PKG_PREREQ is used
  * Useless autotools-dev depends since debhelper 10

 -- Jérémy Lal <kapouer@melix.org>  Mon, 04 Sep 2017 00:21:24 +0200

gpaste (3.22.4-1) unstable; urgency=medium

  * New upstream version 3.22.4

 -- Jérémy Lal <kapouer@melix.org>  Tue, 27 Jun 2017 08:41:27 +0200

=== debian/control ===
Source: gpaste
Section: gnome
Priority: optional
Maintainer: Jérémy Lal <kapouer@melix.org>
Build-Conflicts:
 pkgconf (<< 1.3)
Build-Depends:
 debhelper (>= 10),
 appstream-util (>= 0.7.4),
 libappstream-glib-dev,
 intltool,
 pkg-config (>= 0.29~),
 gnome-control-center-dev,
 gobject-introspection (>= 1.48.0~),
 libgirepository1.0-dev (>= 1.48.0~),
 libglib2.0-dev (>= 2.56.0~),
 libgtk-3-dev (>= 3.20),
 libxml2-dev,
 libxcb-keysyms1-dev,
 libxcb-xtest0-dev,
 libdbus-1-dev,
 libxtst-dev,
 libclutter-1.0-dev,
 libgjs-dev (>= 1.48.0),
 libmutter-2-dev,
 valac (>= 0.32)
Standards-Version: 3.9.8
Homepage: https://github.com/Keruspe/GPaste
Vcs-Git: https://anonscm.debian.org/git/collab-maint/gpaste.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/gpaste.git

Package: gpaste
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends}
Description: Clipboard management system for GNOME
 GPaste manages clipboard history and allows easy access to it using
 keyboard shortcuts, gnome-shell extension, command-line tools, gir
 bindings.
 .
 This package contains the command-line tools, the D-Bus service, the
 GNOME Control Center key bindings, and desktop/appdata files.

Package: libgpaste9
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Clipboard management system for GNOME - library
 GPaste manages clipboard history and allows easy access to it using
 keyboard shortcuts, gnome-shell extension, command-line tools, gir
 bindings.
 .
 This package contains the shared library used by gpaste.

Package: libgpaste-common
Section: libs
Architecture: all
Depends: ${misc:Depends}
Breaks: libgpaste6
Replaces: libgpaste6
Description: Clipboard management system for GNOME - shared files
 GPaste manages clipboard history and allows easy access to it using
 keyboard shortcuts, gnome-shell extension, command-line tools, gir
 bindings.
 .
 This package contains the common files, such as translations.

Package: libgpaste-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
 libgpaste9 (= ${binary:Version}),
 gir1.2-gpaste-1.0 (= ${binary:Version}),
 pkg-config,
 libglib2.0-dev (>= 2.56.0~)
Provides: libgpaste2-dev, libgpaste3-dev, libgpaste4-dev, libgpaste6-dev
Conflicts: libgpaste2-dev, libgpaste3-dev, libgpaste4-dev, libgpaste6-dev
Replaces: libgpaste6-dev
Description: Clipboard management system for GNOME - development files
 GPaste manages clipboard history and allows easy access to it using
 keyboard shortcuts, gnome-shell extension, command-line tools, gir
 bindings.
 .
 This package contains headers and libraries for developing applications
 that use GPaste to manage the clipboard.

Package: gir1.2-gpaste-1.0
Section: introspection
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 ${gir:Depends}
Provides: gir1.2-gpaste-2.0, gir1.2-gpaste-3.0, gir1.2-gpaste-4.0, gir1.2-gpaste-6.0
Conflicts: gir1.2-gpaste-2.0, gir1.2-gpaste-3.0, gir1.2-gpaste-4.0, gir1.2-gpaste-6.0
Replaces: gir1.2-gpaste-6.0
Description: GObject introspection data for the libgpaste6 library
 GPaste manages clipboard history and allows easy access to it using
 keyboard shortcuts, gnome-shell extension, command-line tools, gir
 bindings.
 .
 This package contains introspection data for the libgpaste6 library.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: gnome-shell-extensions-gpaste
Depends: ${misc:Depends},
 gnome-shell (>= 3.24),
 gpaste (>= ${source:Version}),
 gir1.2-gpaste-1.0 (>= ${source:Version})
Architecture: all
Description: GPaste extension for GNOME Shell
 GPaste manages clipboard history and allows easy access to it using
 keyboard shortcuts, gnome-shell extension, command-line tools, gir
 bindings.
 .
 This package provides the gnome-shell extension.
 .
 Please note that the extension must be manualy enabled, for example
 using gnome-tweak-tool.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with gir

override_dh_autoreconf:
	dh_autoreconf -- ./autogen.sh

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-systemduserunitdir=/usr/lib/systemd/user
		--enable-introspection \
		--enable-appstream-util \
		--enable-applet \
		--enable-vala=no

override_dh_clean:
	dh_clean
	rm -f po/Makefile.in.in m4/intltool.m4 config.log

## gpaste 3.28.2

=== debian/changelog ===
gpaste (3.28.2-1ubuntu1) cosmic; urgency=medium

  * More gjs Build-Depends to Build-Depends-Indep - this is an Architecture:
    all package so we don't need it installed when building arch-only. This is
    important now because gjs is going to stop building on s390x, which would
    mean gpaste becomes BD-Uninst.
  * Don't build the gnome-shell extension when doing an indep build.

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 03 Oct 2018 12:56:25 +0100

gpaste (3.28.2-1) unstable; urgency=medium

  * New upstream version 3.28.2
  * Cherry-pick upstream patches for gnome 3.30
  * Build-Depends mutter-3-dev (Closes: #908127)
  * Depends glib2.0 >= 2.58.0
  * Bump SONAME from 9 to 11, update symbols

 -- Jérémy Lal <kapouer@melix.org>  Thu, 06 Sep 2018 15:29:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gpaste
 Section: gnome
 Priority: optional
-Maintainer: Jérémy Lal <kapouer@melix.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jérémy Lal <kapouer@melix.org>
 Build-Conflicts:
  pkgconf (<< 1.3)
 Build-Depends:
@@ -13,7 +14,7 @@
  gnome-control-center-dev,
  gobject-introspection (>= 1.48.0~),
  libgirepository1.0-dev (>= 1.48.0~),
- libglib2.0-dev (>= 2.56.0~),
+ libglib2.0-dev (>= 2.58.0~),
  libgtk-3-dev (>= 3.20),
  libxml2-dev,
  libxcb-keysyms1-dev,
@@ -21,13 +22,13 @@
  libdbus-1-dev,
  libxtst-dev,
  libclutter-1.0-dev,
- libgjs-dev (>= 1.48.0),
- libmutter-2-dev,
+ libmutter-3-dev,
  valac (>= 0.32)
-Standards-Version: 3.9.8
+Build-Depends-Indep: libgjs-dev (>= 1.50.0)
+Standards-Version: 4.2.1
 Homepage: https://github.com/Keruspe/GPaste
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/gpaste.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/gpaste.git
+Vcs-Git: https://salsa.debian.org/debian/gpaste/gpaste.git
+Vcs-Browser: https://salsa.debian.org/debian/gpaste
 
 Package: gpaste
 Architecture: any
@@ -42,7 +43,7 @@
  This package contains the command-line tools, the D-Bus service, the
  GNOME Control Center key bindings, and desktop/appdata files.
 
-Package: libgpaste9
+Package: libgpaste11
 Section: libs
 Architecture: any
 Depends: ${misc:Depends},
@@ -71,7 +72,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
- libgpaste9 (= ${binary:Version}),
+ libgpaste11 (= ${binary:Version}),
  gir1.2-gpaste-1.0 (= ${binary:Version}),
  pkg-config,
  libglib2.0-dev (>= 2.56.0~)
@@ -95,12 +96,12 @@
 Provides: gir1.2-gpaste-2.0, gir1.2-gpaste-3.0, gir1.2-gpaste-4.0, gir1.2-gpaste-6.0
 Conflicts: gir1.2-gpaste-2.0, gir1.2-gpaste-3.0, gir1.2-gpaste-4.0, gir1.2-gpaste-6.0
 Replaces: gir1.2-gpaste-6.0
-Description: GObject introspection data for the libgpaste6 library
+Description: GObject introspection data for the libgpaste11 library
  GPaste manages clipboard history and allows easy access to it using
  keyboard shortcuts, gnome-shell extension, command-line tools, gir
  bindings.
  .
- This package contains introspection data for the libgpaste6 library.
+ This package contains introspection data for the libgpaste11 library.
  .
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.

## gpaste 3.30.2

=== debian/changelog ===
gpaste (3.30.2-1) unstable; urgency=medium

  * New upstream version 3.30.2
  * Update symbols
  * Expose Build-Depends-Package in symbols file

 -- Jérémy Lal <kapouer@melix.org>  Wed, 12 Dec 2018 18:17:20 +0100

gpaste (3.30.1-2) unstable; urgency=medium

  * Release to unstable 

 -- Jérémy Lal <kapouer@melix.org>  Sat, 03 Nov 2018 22:33:41 +0100

gpaste (3.30.1-1) experimental; urgency=medium

  * New upstream version 3.30.1
  * Remove upstream patches
  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field

 -- Jérémy Lal <kapouer@melix.org>  Wed, 03 Oct 2018 14:46:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gpaste
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jérémy Lal <kapouer@melix.org>
+Maintainer: Jérémy Lal <kapouer@melix.org>
 Build-Conflicts:
  pkgconf (<< 1.3)
 Build-Depends:
@@ -15,7 +14,7 @@
  gobject-introspection (>= 1.48.0~),
  libgirepository1.0-dev (>= 1.48.0~),
  libglib2.0-dev (>= 2.58.0~),
- libgtk-3-dev (>= 3.20),
+ libgtk-3-dev (>= 3.24),
  libxml2-dev,
  libxcb-keysyms1-dev,
  libxcb-xtest0-dev,
@@ -24,7 +23,8 @@
  libclutter-1.0-dev,
  libmutter-3-dev,
  valac (>= 0.32)
-Build-Depends-Indep: libgjs-dev (>= 1.50.0)
+Build-Depends-Indep:
+ libgjs-dev (>= 1.54.0)
 Standards-Version: 4.2.1
 Homepage: https://github.com/Keruspe/GPaste
 Vcs-Git: https://salsa.debian.org/debian/gpaste/gpaste.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFFLAGS := 	--with-systemduserunitdir=/usr/lib/systemd/user \
		--enable-introspection \
		--enable-appstream-util \
		--enable-applet \
		--enable-vala=no

%:
	dh $@ --with gir

override_dh_autoreconf:
	dh_autoreconf -- ./autogen.sh

override_dh_auto_configure:
ifeq (gnome-shell-extensions-gpaste,$(filter gnome-shell-extensions-gpaste,$(shell dh_listpackages)))
	dh_auto_configure -- $(CONFFLAGS) \
			     --enable-gnome-shell-extension
else
	dh_auto_configure -- $(CONFFLAGS) \
			     --disable-gnome-shell-extension
endif

override_dh_clean:
	dh_clean
	rm -f po/Makefile.in.in m4/intltool.m4 config.log

## gpaste 3.34.1

=== debian/changelog ===
gpaste (3.34.1-1) unstable; urgency=medium

  [ Jérémy Lal ]
  * New upstream version 3.34.1 (Closes: #941729)

  [ Jeremy Bicha ]
  * Set $XDG_RUNTIME_DIR to clean up some build log noise

 -- Jérémy Lal <kapouer@melix.org>  Thu, 10 Oct 2019 19:22:20 +0200

gpaste (3.34.0-1) experimental; urgency=medium

  * New upstream version 3.34.0
  * Update symbols file
  * Build-Depends libmutter-5-dev

 -- Jérémy Lal <kapouer@melix.org>  Thu, 12 Sep 2019 01:17:03 +0200

gpaste (3.32.0-2) unstable; urgency=medium

  * Release to unstable 

 -- Jérémy Lal <kapouer@melix.org>  Thu, 12 Sep 2019 00:43:30 +0200

gpaste (3.32.0-1) experimental; urgency=medium

  * New upstream version 3.32.0
  * Fix Vcs-Git url
  * Depends libmutter-4-dev
  * Fix typo in description
  * Standards-Version 4.3.0

 -- Jérémy Lal <kapouer@melix.org>  Tue, 30 Apr 2019 10:50:40 +0200

=== debian/control ===
--- 
+++ 
@@ -21,13 +21,13 @@
  libdbus-1-dev,
  libxtst-dev,
  libclutter-1.0-dev,
- libmutter-3-dev,
+ libmutter-5-dev,
  valac (>= 0.32)
 Build-Depends-Indep:
  libgjs-dev (>= 1.54.0)
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/Keruspe/GPaste
-Vcs-Git: https://salsa.debian.org/debian/gpaste/gpaste.git
+Vcs-Git: https://salsa.debian.org/debian/gpaste.git
 Vcs-Browser: https://salsa.debian.org/debian/gpaste
 
 Package: gpaste
@@ -119,5 +119,5 @@
  .
  This package provides the gnome-shell extension.
  .
- Please note that the extension must be manualy enabled, for example
+ Please note that the extension must be manually enabled, for example
  using gnome-tweak-tool.

## gpaste 3.36.3

=== debian/changelog ===
gpaste (3.36.3-1) unstable; urgency=medium

  * New upstream version 3.36.3 (Closes: #955132)

 -- Jérémy Lal <kapouer@melix.org>  Fri, 27 Mar 2020 19:34:36 +0100

gpaste (3.36.2-1) unstable; urgency=medium

  * New upstream version 3.36.2 (Closes: #954995)

 -- Jérémy Lal <kapouer@melix.org>  Thu, 26 Mar 2020 14:18:33 +0100

gpaste (3.36.0-1) unstable; urgency=medium

  * New upstream version 3.36.0

 -- Jérémy Lal <kapouer@melix.org>  Thu, 12 Mar 2020 23:10:53 +0100

gpaste (3.34.1-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * Bump debhelper compatibility to 12 and move the daemon to /usr/libexec
  * debian/gpaste.install: Install bash and zsh completion for gpaste-client
  * debian/control: Bump Standards-Version to 4.5.0 (no further changes)

  [ Jérémy Lal ]
  * Drop unnecessary build-dep on mutter. Closes: #953004

 -- Jérémy Lal <kapouer@melix.org>  Tue, 03 Mar 2020 10:57:16 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Conflicts:
  pkgconf (<< 1.3)
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 12),
  appstream-util (>= 0.7.4),
  libappstream-glib-dev,
  intltool,
@@ -21,11 +21,10 @@
  libdbus-1-dev,
  libxtst-dev,
  libclutter-1.0-dev,
- libmutter-5-dev,
  valac (>= 0.32)
 Build-Depends-Indep:
  libgjs-dev (>= 1.54.0)
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/Keruspe/GPaste
 Vcs-Git: https://salsa.debian.org/debian/gpaste.git
 Vcs-Browser: https://salsa.debian.org/debian/gpaste

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # -*- makefile -*-
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+CHECK_HOME = $(CURDIR)/debian/tmp/home
 
 CONFFLAGS := 	--with-systemduserunitdir=/usr/lib/systemd/user \
 		--enable-introspection \
@@ -27,3 +29,9 @@
 override_dh_clean:
 	dh_clean
 	rm -f po/Makefile.in.in m4/intltool.m4 config.log
+
+override_dh_auto_test:
+ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
+	mkdir -p -m0700 $(CHECK_HOME)
+	XDG_RUNTIME_DIR=$(CHECK_HOME) dh_auto_test
+endif

## gpaste 3.38.2

=== debian/changelog ===
gpaste (3.38.2-1) unstable; urgency=medium

  * New upstream version 3.38.2 (Closes: #972038)
  * Refresh patch

 -- Jérémy Lal <kapouer@melix.org>  Sun, 18 Oct 2020 13:58:32 +0200

=== debian/control ===
--- 
+++ 
@@ -42,7 +42,7 @@
  This package contains the command-line tools, the D-Bus service, the
  GNOME Control Center key bindings, and desktop/appdata files.
 
-Package: libgpaste11
+Package: libgpaste13
 Section: libs
 Architecture: any
 Depends: ${misc:Depends},
@@ -71,7 +71,7 @@
 Section: libdevel
 Architecture: any
 Depends: ${misc:Depends},
- libgpaste11 (= ${binary:Version}),
+ libgpaste13 (= ${binary:Version}),
  gir1.2-gpaste-1.0 (= ${binary:Version}),
  pkg-config,
  libglib2.0-dev (>= 2.56.0~)
@@ -95,12 +95,12 @@
 Provides: gir1.2-gpaste-2.0, gir1.2-gpaste-3.0, gir1.2-gpaste-4.0, gir1.2-gpaste-6.0
 Conflicts: gir1.2-gpaste-2.0, gir1.2-gpaste-3.0, gir1.2-gpaste-4.0, gir1.2-gpaste-6.0
 Replaces: gir1.2-gpaste-6.0
-Description: GObject introspection data for the libgpaste11 library
+Description: GObject introspection data for the libgpaste13 library
  GPaste manages clipboard history and allows easy access to it using
  keyboard shortcuts, gnome-shell extension, command-line tools, gir
  bindings.
  .
- This package contains introspection data for the libgpaste11 library.
+ This package contains introspection data for the libgpaste13 library.
  .
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.

## gpaste 3.38.5

=== debian/changelog ===
gpaste (3.38.5-1) unstable; urgency=medium

  * New upstream version 3.38.5
  * Standards-Version 4.5.1, no change required

 -- Jérémy Lal <kapouer@melix.org>  Sun, 14 Feb 2021 23:28:01 +0100

gpaste (3.38.4-1) unstable; urgency=medium

  * New upstream version 3.38.4

 -- Jérémy Lal <kapouer@melix.org>  Mon, 04 Jan 2021 10:42:21 +0100

gpaste (3.38.3-2) unstable; urgency=medium

  * Fix version in Breaks/Replaces. Closes: #975890

 -- Jérémy Lal <kapouer@melix.org>  Thu, 26 Nov 2020 12:10:04 +0100

gpaste (3.38.3-1) unstable; urgency=medium

  * New upstream version 3.38.3
  * Rename to gnome-shell-extension-gpaste, closes: #975473
  * watch file version 4, use example from man uscan

 -- Jérémy Lal <kapouer@melix.org>  Sun, 22 Nov 2020 18:55:06 +0100

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  valac (>= 0.32)
 Build-Depends-Indep:
  libgjs-dev (>= 1.54.0)
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/Keruspe/GPaste
 Vcs-Git: https://salsa.debian.org/debian/gpaste.git
 Vcs-Browser: https://salsa.debian.org/debian/gpaste
@@ -105,11 +105,13 @@
  It can be used by packages using the GIRepository format to generate
  dynamic bindings.
 
-Package: gnome-shell-extensions-gpaste
+Package: gnome-shell-extension-gpaste
 Depends: ${misc:Depends},
  gnome-shell (>= 3.24),
  gpaste (>= ${source:Version}),
  gir1.2-gpaste-1.0 (>= ${source:Version})
+Replaces: gnome-shell-extensions-gpaste (<< 3.38.3~)
+Breaks: gnome-shell-extensions-gpaste (<< 3.38.3~)
 Architecture: all
 Description: GPaste extension for GNOME Shell
  GPaste manages clipboard history and allows easy access to it using
@@ -120,3 +122,11 @@
  .
  Please note that the extension must be manually enabled, for example
  using gnome-tweak-tool.
+
+Package: gnome-shell-extensions-gpaste
+Depends: gnome-shell-extension-gpaste, ${misc:Depends}
+Architecture: all
+Section: oldlibs
+Description: transitional package
+ This is a transitional package. It can safely be removed.
+

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	dh_autoreconf -- ./autogen.sh
 
 override_dh_auto_configure:
-ifeq (gnome-shell-extensions-gpaste,$(filter gnome-shell-extensions-gpaste,$(shell dh_listpackages)))
+ifeq (gnome-shell-extension-gpaste,$(filter gnome-shell-extension-gpaste,$(shell dh_listpackages)))
 	dh_auto_configure -- $(CONFFLAGS) \
 			     --enable-gnome-shell-extension
 else

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%gpaste-$1.tar.gz%" \
https://github.com/Keruspe/GPaste/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## gpaste 3.40.2

=== debian/changelog ===
gpaste (3.40.2-1) unstable; urgency=medium

  * New upstream version 3.40.2 (Closes:#993064)
  * Update symbols - ui methods removed on purpose

 -- Jérémy Lal <kapouer@melix.org>  Fri, 27 Aug 2021 10:53:03 +0200

gpaste (3.38.6-1) unstable; urgency=medium

  * New upstream version 3.38.6 (Closes:#984943).

 -- Jérémy Lal <kapouer@melix.org>  Wed, 10 Mar 2021 19:48:13 +0100
